Skip to main content
PUT
/
api
/
v2
/
external
/
email-preferences
Update Email Preferences
curl --request PUT \
  --url https://api.lyceum.technology/api/v2/external/email-preferences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_marketing": true,
  "email_transactional": true,
  "email_security": true,
  "email_job_notifications": true,
  "email_billing": true
}
'
{}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Body

application/json

Email preference settings.

email_marketing
boolean
default:true
email_transactional
boolean
default:true
email_security
boolean
default:true
email_job_notifications
boolean
default:true
email_billing
boolean
default:true

Response

Successful Response

The response is of type Response Update Email Preferences Api V2 External Email Preferences Put · object.